# Uses of Interface
java.lang.classfile.constantpool.LoadableConstantEntry

Packages that use LoadableConstantEntry
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.constantpool
Provides interfaces describing constant pool entries for the `java.lang.classfile` library.
java.lang.classfile.instruction
Provides interfaces describing code instructions for the `java.lang.classfile` library.

- ## Uses of LoadableConstantEntry in java.lang.classfile

  Methods in java.lang.classfile that return types with arguments of type LoadableConstantEntry
  Modifier and Type
  Method
  Description
  `List<LoadableConstantEntry>`
  BootstrapMethodEntry.`arguments()`
  Returns the bootstrap arguments.
  Methods in java.lang.classfile with parameters of type LoadableConstantEntry
  Modifier and Type
  Method
  Description
  `default CodeBuilder`
  CodeBuilder.`ldc(LoadableConstantEntry entry)`
  Generates an instruction pushing an item from the run-time constant pool onto the operand stack.

- ## Uses of LoadableConstantEntry in java.lang.classfile.constantpool

  Subinterfaces of LoadableConstantEntry in java.lang.classfile.constantpool
  Modifier and Type
  Interface
  Description
  `interface`
  `ClassEntry`
  Models a `CONSTANT_Class_info` structure, representing a reference type, in the constant pool of a `class` file.
  `interface`
  `ConstantDynamicEntry`
  Models a `CONSTANT_Dynamic_info` structure, representing a dynamically-computed constant, in the constant pool of a `class` file.
  `interface`
  `ConstantValueEntry`
  Marker interface for constant pool entries that can represent constant values in the `ConstantValue` attribute.
  `interface`
  `DoubleEntry`
  Models a `CONSTANT_Double_info` structure, representing a `double` constant, in the constant pool of a `class` file.
  `interface`
  `FloatEntry`
  Models a `CONSTANT_Float_info` structure, or a `float` constant, in the constant pool of a `class` file.
  `interface`
  `IntegerEntry`
  Models a `CONSTANT_Integer_info` structure, or an `int` constant, in the constant pool of a `class` file.
  `interface`
  `LongEntry`
  Models a `CONSTANT_Long_info` structure, or a `long` constant, in the constant pool of a `class` file.
  `interface`
  `MethodHandleEntry`
  Models a `CONSTANT_MethodHandle_info` structure, or a symbolic reference to a method handle, in the constant pool of a `class` file.
  `interface`
  `MethodTypeEntry`
  Models a `CONSTANT_MethodType_info` structure, or a symbolic reference to a method type, in the constant pool of a `class` file.
  `interface`
  `StringEntry`
  Models a `CONSTANT_String_info` structure, or a string constant, in the constant pool of a `class` file.
  Methods in java.lang.classfile.constantpool that return LoadableConstantEntry
  Modifier and Type
  Method
  Description
  `default LoadableConstantEntry`
  ConstantPoolBuilder.`loadableConstantEntry(ConstantDesc c)`
  Returns a `LoadableConstantEntry` describing the provided constant value.
  Method parameters in java.lang.classfile.constantpool with type arguments of type LoadableConstantEntry
  Modifier and Type
  Method
  Description
  `BootstrapMethodEntry`
  ConstantPoolBuilder.`bsmEntry(MethodHandleEntry methodReference, List<LoadableConstantEntry> arguments)`
  Returns a `BootstrapMethodEntry` referring to a `MethodHandleEntry` and a list of `LoadableConstantEntry`.

- ## Uses of LoadableConstantEntry in java.lang.classfile.instruction

  Methods in java.lang.classfile.instruction that return LoadableConstantEntry
  Modifier and Type
  Method
  Description
  `LoadableConstantEntry`
  ConstantInstruction.LoadConstantInstruction.`constantEntry()`
  Returns the constant value.
  Methods in java.lang.classfile.instruction with parameters of type LoadableConstantEntry
  Modifier and Type
  Method
  Description
  `static ConstantInstruction.LoadConstantInstruction`
  ConstantInstruction.`ofLoad(Opcode op, LoadableConstantEntry constant)`
  Returns a load constant instruction.